## com.lowagie.tools.arguments
Class PageSelectorToolArgument

    java.lang.Object
      com.lowagie.tools.arguments.ToolArgument
          com.lowagie.tools.arguments.PageSelectorToolArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class PageSelectorToolArgument

extends ToolArgument

Argument that allows you to select a (set of) page(s).

Field Summary
`(package private) PageSelectionTableDialog` `jDialog1`
`static java.lang.String` `PROPERTYPAGESELECTIONSTRING`

Fields inherited from class com.lowagie.tools.arguments.ToolArgument
`classname, description, name, propertyChangeListeners, tool, value`

Constructor Summary
`PageSelectorToolArgument(AbstractTool tool, java.lang.String name, java.lang.String description, java.lang.String classname)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.Object` `getArgument()` Gets the argument as an object.
`void` `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Methods inherited from class com.lowagie.tools.arguments.ToolArgument
`addPropertyChangeListener, firePropertyChange, getClassname, getDescription, getName, getUsage, getValue, removePropertyChangeListener, setClassname, setDescription, setName, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTYPAGESELECTIONSTRING

    public static final java.lang.String PROPERTYPAGESELECTIONSTRING

See Also:
  Constant Field Values

### jDialog1

    PageSelectionTableDialog jDialog1

Constructor Detail

### PageSelectorToolArgument

    public PageSelectorToolArgument(AbstractTool tool,
                                    java.lang.String name,
                                    java.lang.String description,
                                    java.lang.String classname)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `ToolArgument`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Description copied from class: `ToolArgument`
  Gets the argument as an object.

  Overrides:
    `getArgument` in class `ToolArgument`
  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Description copied from class: `ToolArgument`
  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ToolArgument`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.